## com.google.gwt.dom.client
Class BaseElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.BaseElement

    @TagName(value="base")
    public class BaseElement

extends Element

Document base URI.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `BaseElement()`

Method Summary
`static BaseElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` | `getHref()` The base URI See the href attribute definition in HTML 4.01.
`java.lang.String` | `getTarget()` The default target frame.
`void` | `setHref(java.lang.String href)` The base URI See the href attribute definition in HTML 4.01.
`void` | `setTarget(java.lang.String target)` The default target frame.

Methods inherited from class com.google.gwt.dom.client.Element

`as, as, dispatchEvent, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, is, is, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseElement

    protected BaseElement()

Method Detail

### as

    public static BaseElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### getHref

    public final java.lang.String getHref()

  The base URI See the href attribute definition in HTML 4.01.

  See Also:
    W3C HTML Specification

### getTarget

    public final java.lang.String getTarget()

  The default target frame.

  See Also:
    W3C HTML Specification

### setHref

    public final void setHref(java.lang.String href)

  The base URI See the href attribute definition in HTML 4.01.

  See Also:
    W3C HTML Specification

### setTarget

    public final void setTarget(java.lang.String target)

  The default target frame.

  See Also:
    W3C HTML Specification